Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0025517
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminoralways2014-01-20 17:582014-03-06 11:30
ReportercaristuView Statuspublic 
Assigned Toshankarb 
PriorityhighResolutionfixedFixed in Version3.0PR14Q2
StatusclosedFix in branchFixed in SCM revision381047f42270
ProjectionnoneETAnoneTarget Version3.0PR14Q3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0025517: Wrong calculations on numeric field depending on the formula

DescriptionUsing "." as decimal separator and "," as grouping separator, if we use an arithmetic calculation for enter a value on a numeric field it fails if the first operand is a decimal number.
Steps To Reproduce1) Go to the [Sales Order] window and create one record
2) Go to the [Lines] tab and create a new record
3) In the "Gross Unit Price" field, type the following: =2.3+1
4) Save the record. The calculation returns an invalid value: =2.N0
5) Replace the previous value with =1+2.3
6) Save the record. It returns the correct value: 3.3
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0027698 acknowledgedplatform Wrong calculations on numeric field depending on the formula when using a comma as decimal separator 
related to defect 00284273.0PR15Q2 closedAugustoMauch Price is not rounded to calculate the line net amount in Create Lines process of Purchase Order 
related to defect 0031901 closedcaristu decimal value can't be changed by trigger/observer after manual edition in form view 
causes defect 00270533.0PR14Q4 closedAugustoMauch Error when adding record in grid mode and working with comma as decimal separator 
causes defect 0028747 closedAugustoMauch If a numeric value is entered using a formula, it is saved without being rounded 

-  Notes
(0064807)
shankarb (developer)
2014-03-05 06:57

Fix Pushed to try.
(0064810)
hgbot (developer)
2014-03-05 09:44

Repository: erp/devel/pi
Changeset: 381047f42270513a9fbfae0c09866e77f835061b
Author: Shankar Balachandran <shankar.balachandran <at> openbravo.com>
Date: Wed Mar 05 11:28:14 2014 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/381047f42270513a9fbfae0c09866e77f835061b [^]

Fixes Issue 0025517: Wrong calculations on numeric field depending on the formula

Formatting of the number is done after evaluation of the math expression.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-number.js
---
(0064818)
hgbot (developer)
2014-03-05 12:16

Repository: erp/devel/pi
Changeset: 4cbd0d375833e6eb8181cb20cfa51fc917b6a80b
Author: Shankar Balachandran <shankar.balachandran <at> openbravo.com>
Date: Wed Mar 05 16:43:33 2014 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/4cbd0d375833e6eb8181cb20cfa51fc917b6a80b [^]

Related to Issue 25517 : Code refactor

using local variable value instead of using getValue.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-number.js
---
(0064875)
hudsonbot (developer)
2014-03-06 04:24

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/94a044af1a46 [^]
Maturity status: Test
(0064877)
hudsonbot (developer)
2014-03-06 04:24

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/94a044af1a46 [^]
Maturity status: Test
(0064902)
AugustoMauch (developer)
2014-03-06 11:30

Code reviewed and verified in pi@9484419af022

- Issue History
Date Modified Username Field Change
2014-01-20 17:58 caristu New Issue
2014-01-20 17:58 caristu Assigned To => AugustoMauch
2014-01-20 17:58 caristu Modules => Core
2014-01-20 17:58 caristu Triggers an Emergency Pack => No
2014-01-20 17:58 caristu Issue Monitored: networkb
2014-01-20 18:07 caristu version => pi
2014-01-20 18:07 caristu Target Version => 3.0MP33
2014-03-04 11:30 shankarb Assigned To AugustoMauch => shankarb
2014-03-05 06:57 shankarb Status new => scheduled
2014-03-05 06:57 shankarb Note Added: 0064807
2014-03-05 06:57 shankarb fix_in_branch => pi
2014-03-05 09:37 shankarb Review Assigned To => AugustoMauch
2014-03-05 09:37 shankarb fix_in_branch pi =>
2014-03-05 09:37 shankarb Issue Monitored: AugustoMauch
2014-03-05 09:44 hgbot Checkin
2014-03-05 09:44 hgbot Note Added: 0064810
2014-03-05 09:44 hgbot Status scheduled => resolved
2014-03-05 09:44 hgbot Resolution open => fixed
2014-03-05 09:44 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/381047f42270513a9fbfae0c09866e77f835061b [^]
2014-03-05 12:16 hgbot Checkin
2014-03-05 12:16 hgbot Note Added: 0064818
2014-03-06 04:24 hudsonbot Checkin
2014-03-06 04:24 hudsonbot Note Added: 0064875
2014-03-06 04:24 hudsonbot Checkin
2014-03-06 04:24 hudsonbot Note Added: 0064877
2014-03-06 11:30 AugustoMauch Note Added: 0064902
2014-03-06 11:30 AugustoMauch Status resolved => closed
2014-03-06 11:30 AugustoMauch Fixed in Version => PR14Q2
2014-09-26 15:50 AugustoMauch Relationship added causes 0027053
2014-09-26 16:25 AugustoMauch Relationship added related to 0027698
2015-01-23 11:02 AugustoMauch Relationship added related to 0028427
2015-01-23 14:21 AugustoMauch Relationship added causes 0028747
2016-01-25 17:09 caristu Relationship added related to 0031901


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker